Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.security
Class AccessLevel

    java.lang.Object
      com.plumtree.remote.prc.collaboration.security.AccessLevel

public class AccessLevel
extends java.lang.Object

An enumerated type used to describe the access levels of collaboration objects. The five access levels are `Admin`, `Edit`, `Write`, `Read`, and `None`.
The default access level for each role is respectively:

- Project Leader - `Admin`
- Project Member - `Write`
- Project Guest - `Read`

Below are the different permissions granted by each Access Level by default, grouped by functional areas: (arranged in ascending order - i.e., `Read` access permissions are included in `Write` access, `Write` access permissions are included in `Edit` access, and vice versa)

- `Read`
- Discussion: Read
- Task List: Read
- Document: Read
- Calendar: Read

- `Write`
- Discussion: Post Messages
- Task List: Create Tasks, Claim Tasks, Update Task Status
- Document: Create/Insert Documents, Check-in documents, Check-out documents
- Calendar: Create Events

- `Edit`
- Discussion: Create, Edit, Attach Links
- Task List: Create, Copy, Edit, Attach Links, Assign Owners
- Document: Copy, Edit, Insert sub-folders, Rename Folders, Attach Links
- Calendar: Edit Events, Attach Links

- `Admin`
- Discussion: Delete, Edit Security
- Task List: Delete, Edit Security
- Document: Delete, Edit Security
- Calendar: Delete, Edit Security

`AccessLevel` is used in `get/setAccessLevel` methods in `IRole` and other collaboration objects.

Field Summary
`static AccessLevel` | `ADMIN` Admin access - default access for project leaders.
`static AccessLevel` | `EDIT` Edit access.
`static AccessLevel` | `NONE` No access.
`static AccessLevel` | `READ` Read access - default access for project guests.
`static AccessLevel` | `WRITE` Write access - default access for project members.

Method Summary
`java.lang.Object` | `getUnderlyingObject()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final AccessLevel NONE

  No access.

### READ

    public static final AccessLevel READ

  Read access - default access for project guests.

### WRITE

    public static final AccessLevel WRITE

  Write access - default access for project members.

### EDIT

    public static final AccessLevel EDIT

  Edit access.

### ADMIN

    public static final AccessLevel ADMIN

  Admin access - default access for project leaders.

Method Detail

### toString

    public java.lang.String toString()

### getUnderlyingObject

    public java.lang.Object getUnderlyingObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.